/*
 * @Descripttion:
 * @version:
 * @Author: kBank
 * @Date: 2022-10-24 15:33:48
 */
import Vue from 'vue'
import VueI18n from 'vue-i18n'

import ElementLocale from 'element-ui/lib/locale'
import zhCnLocale from 'element-ui/lib/locale/lang/zh-CN'

import zhCn from "@/assets/languages/zhCn.js"

Vue.use(VueI18n)

const i18n = new VueI18n({
  locale: 'zh-CN',
  messages: {
    'zh-CN': {...zhCn, ...zhCnLocale},
  },
})
ElementLocale.i18n((key, value) => i18n.t(key, value))

export default i18n
